package com.yuchen.saas.mqtt.enums;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName IotProductEnum
 * @Description IOT 产品枚举类
 * @Author 张逸飞
 * @Date 2022/6/11 14:16
 */
public enum IotProductEnum {

    /**
     * 1.大树-人脸面板机
     */
    DA_SHU_FACE_PANEL("mkhXD2I9UWr0J4ut"),
    /**
     * 2.海康-人脸识别机
     */
    HIK_FACE_RECOGNITION("384rQ13KlTUvrx3q"),
    /**
     * 3.消防灭火器
     */
    FIRE_XTINGUISHER("8gF31iKdiJe0NW3a"),
    /**
     * 4.海康停车场道闸产品
     */
    HIK_PARKING_GATE("kWJUPZJ3vb9N7z0t"),
    /**
     * 5.健康码防疫产品
     */
    HEALTH_CODE_PREVENTION("VbGSNV6KpZ4S2Gjb"),
    /**
     * 6.测温防疫产品
     */
    TEMPERATURE_PREVENTION("nS0AJ79JJcqs4TKQ"),
    /**
     * 7.人脸抓拍机
     */
    FACE_CAPTURE_DEVICE("iKScQC7SIxuuXMp8"),
    /**
     * 8.水压传感器
     */
    WATER_PRESSURE_DEVICE("DlT05C082blR8yVa"),
    /**
     * 9.三相电表
     */
    THREE_AMMETER_DEVICE("SeZOoIzsDUWdk4Ln"),
    /**
     * 10.单向电表
     */
    ONE_AMMETER_DEVICE("W8kjrNLdo9hDKmLl"),
    /**
     * 11.水表
     */
    WATER_METER_DEVICE("8HGCWCy49NlzRXLG"),
    /**
     * 12.土壤酸碱度传感器
     */
    SOIL_PH_DEVICE("4sb2vBmPJ7t7ANxH"),
    /**
     * 13.土壤温湿度传感器
     */
    SOIL_HUMIDITY_DEVICE("clFhXa9kJ0GKeZqU"),
    /**
     * 14.阀门控制器
     */
    VALVE_CONTROLLER_DEVICE("9iezjh0skwRefvjw"),
    /**
     * 15.井盖监测器
     */
    MANHOLE_COVER_DEVICE("h6U4k1UlNNYayl5m"),
    /**
     * 16.风向传感器
     */
    WIND_DIRECTION_DEVICE("QrwddMUmmfycC1uU"),
    /**
     * 17.消防栓监测器
     */
    HYDRANT_DEVICE("2xOQupsoLuXAfmZn"),
    /**
     * 18.风速传感器
     */
    WIND_SPEED_DEVICE("NbhjLj9ESs4Rsjgh"),
    /**
     * 19.雨量传感器
     */
    RAINFALL_DEVICE("m2CyX1ygxWSbcivH"),
    /**
     * 20.气象站
     */
    WEATHER_STATION_DEVICE("5RczFvFljRepi3zh"),
    /**
     * 21.门磁传感器
     */
    DOOR_DEVICE("oCYnBF67x9KEjQIS"),
    /**
     * 22.LoRaWAN网关
     */
    LORAWAN_GATEWAY("zQQy3jIudxqOAq9y");

    private String value;

    IotProductEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    /**
     * 获取所有枚举值
     * @return
     */
    public static List<String> getList() {
        List<String> result = new ArrayList<>();
        for(IotProductEnum iotProductEnum: IotProductEnum .values()) {
            result.add(iotProductEnum.getValue());
        }
        return result;
    }
}
